function kedoMulti(){
  // console.log('funcion kedoMulti');
$("#sistemico").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "FOTOSENSIBILIZANTES DE USO SISTÉMICO",
  height: 200,
}).data("kendoMultiSelect");

$("#anticancerosos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "FÁRMACOS ANTICANCEROSOS",
  height: 200,
}).data("kendoMultiSelect");

$("#antidepresivos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "ANTIDEPRESIVOS",
  height: 200,
}).data("kendoMultiSelect");

$("#antihistaminicos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "ANTIHISTAMÍNICOS Y FENOLTHIAZINAS",
  height: 200,
}).data("kendoMultiSelect");

$("#anti_inflamatorios").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "ANTI-INFLAMATORIOS",
  height: 200,
}).data("kendoMultiSelect");

$("#antituberculosos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "ANTITUBERCULOSOS",
  height: 200,
}).data("kendoMultiSelect");

$("#antibioticos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "ANTIBIÓTICOS",
  height: 200,
}).data("kendoMultiSelect");

$("#antimalaricos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "ANTIMALÁRICOS",
  height: 200,
}).data("kendoMultiSelect");

$("#antipsicoticos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "FÁRMACOS ANTI PSICÓTICOS",
  height: 200,
}).data("kendoMultiSelect");

$("#asiendad").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "FÁRMACOS PARA ALIVIAR LA ANSIEDAD",
  height: 200,
}).data("kendoMultiSelect");

$("#antiarritmicos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "ANTI ARRÍTMICOS",
  height: 200,
}).data("kendoMultiSelect");

$("#psicomotores").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "PSICOMOTORES",
  height: 200,
}).data("kendoMultiSelect");

$("#diureticos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "DIURÉTICOS",
  height: 200,
}).data("kendoMultiSelect");

$("#edulcorantes").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "EDULCORANTES",
  height: 200,
}).data("kendoMultiSelect");

$("#hipoglucemiantes").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "HIPOGLUCEMIANTES",
  height: 200,
}).data("kendoMultiSelect");

$("#laxantes").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "LAXANTES",
  height: 200,
}).data("kendoMultiSelect");

$("#psoralenos").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "PSORALENOS",
  height: 200,
}).data("kendoMultiSelect");

$("#tetraciclinas").kendoMultiSelect({
  dataTextField: "name",
  dataValueField: "value",
  autoClose: false,
  placeholder: "TETRACICLINAS",
  height: 200,
}).data("kendoMultiSelect");      
}


function evitarEnter(e){
    tecla = (document.all) ? e.keyCode : e.which;
      if (tecla==13){
          return false;
    }
}
            

function mueveReloj(){ 
    momentoActual = new Date() 
    hora = momentoActual.getHours() 
    minuto = momentoActual.getMinutes() 
    segundo = momentoActual.getSeconds() 

    horaImprimible = hora + " : " + minuto + " : " + segundo 

    document.form_reloj.reloj.value = horaImprimible 

    setTimeout("mueveReloj()",1000) 
} 

function activar(num) {
  if(num==true){
      document.forms[0].CualTratamientoMedico.disabled = !num;
      document.forms[0].CualTratamientoMedico.required = true;
  }else{
    document.forms[0].CualTratamientoMedico.disabled = true;
  }
}

function activarTQui(num) {
  if(num==true){
      document.forms[0].CualTratamientoQuirurgico.disabled = !num;
      document.forms[0].CualTratamientoQuirurgico.required = true;
  }else{
    document.forms[0].CualTratamientoQuirurgico.disabled = true;
  }
 
}
function activarA(num) {
  if(num==true){
      document.forms[0].CualesAlergias.disabled = !num;
      document.forms[0].CualesAlergias.required = true;
  }else{
    document.forms[0].CualesAlergias.disabled = true;
  }
}

function activarCP(num) {
  if(num==true){
      document.forms[0].CualesCirugiasPlasticas.disabled = !num;
      document.forms[0].CualesCirugiasPlasticas.required = true;
  }else{
    document.forms[0].CualesCirugiasPlasticas.disabled = true;
  }
}

function activarI(num) {
  if(num==true){
      document.forms[0].CualesImplantes.disabled = !num;
      document.forms[0].CualesImplantes.required = true;
  }else{
    document.forms[0].CualesImplantes.disabled = true;
  }
}
function activarDO(num) {
  if(num==true){
      document.forms[0].CualesDesajustesOseos.disabled = !num;
      document.forms[0].CualesDesajustesOseos.required = true;
  }else{
    document.forms[0].CualesDesajustesOseos.disabled = true;
  }
}

function activarMed(num) {
  if(num==true){
      document.forms[0].CualMedico.disabled = !num;
      document.forms[0].CualMedico.required = true;
  }else{
    document.forms[0].CualMedico.disabled = true;
  }
}
function activarActividadF(value) {
  if(value==true){
    // console.log('activarActividadF true');
      document.getElementById("QueActividadFisica").disabled=false;
      document.getElementById("QueActividadFisica").required=true;
      document.getElementById("CadaCuantoActividadFisica").disabled=false;
      document.getElementById("CadaCuantoActividadFisica").required=true;
  }else{
    // console.log('activarActividadF false');
      document.getElementById("QueActividadFisica").disabled=true;
      document.getElementById("QueActividadFisica").required=false;
      document.getElementById("CadaCuantoActividadFisica").disabled=true; 
      document.getElementById("CadaCuantoActividadFisica").required=false;

  }
}

function activarTatuajes(value) {
  if(value==true){
    // console.log('activarTatuajes true');
      document.getElementById("zonaTatuaje").disabled=false;
      document.getElementById("zonaTatuaje").required=true;
  }else{
    // console.log('activarTatuajes false');
      document.getElementById("zonaTatuaje").disabled=true;
      document.getElementById("zonaTatuaje").required=false;
  }
}
///////////////////////
function activarOtros(num) {
  document.forms[0].TOtras.disabled = !num;
}

function confirmarE(){
 if (confirm("¿Realmente desea eliminar el expediente?")){ 
 }
 else { 
 return false
 }
}

function confirmarExp(){
 if (confirm("¿Realmente desea eliminarlo?")){ 
 }
 else { 
 return false
 }
}


// function habilitar(value){
//       if(value==true){
//         document.getElementById("CualesOtrasEnfermedades").disabled=false;
//         document.getElementById("CualesOtrasEnfermedades").required=true;
//          document.getElementById('ComentariosEnfermedades').disabled=false;
//          document.getElementById("ComentariosEnfermedades").required=true;
//       }else if(value==false){
//         document.getElementById("CualesOtrasEnfermedades").disabled=true;
//         document.getElementById("CualesOtrasEnfermedades").required=false;
//         document.getElementById('ComentariosEnfermedades').disabled=true;
//         document.getElementById("ComentariosEnfermedades").required=false;
//       }
//     }

// function habilitarMedicamentos(value){
//       if(value==true){
//         document.getElementById("CualesOtrosMedicamentos").disabled=false;
//         document.getElementById("CualesOtrosMedicamentos").required=true;
//         document.getElementById('ComentariosMedicamentos').disabled=false;
//         document.getElementById("ComentariosMedicamentos").required=true;
//       }else if(value==false){
//         document.getElementById("CualesOtrosMedicamentos").disabled=true;
//         document.getElementById("CualesOtrosMedicamentos").required=false;
//         document.getElementById('ComentariosMedicamentos').disabled=true;
//         document.getElementById("ComentariosMedicamentos").required=false;
//       }
//     }


function buscarNumSesiones(IdPromosServicios,TipoServicio,TipoUsuario){
  var urlUsuario ="";
  if(TipoUsuario == 'franquiciatario'){
    urlUsuario = "/SM/expediente/franquiciatario/ExpedienteF/numSesionesPromocionesServicios/";
  }else{
    urlUsuario = "/SM/expediente/cosmetologo/ExpedienteC/numSesionesPromocionesServicios/";
  }
  var respuesta = "";
        $.ajax({
            type:'POST',
            url: urlUsuario,
            async : false,          
            data:{IdPromosServicios : IdPromosServicios, TipoServicio : TipoServicio},
            success:function(response){
              respuesta = response;
            },//end success ajax response

        error:function(){
          console.log("error");
        },
        });//end ajax
        // console.log('xxx = ' + respuesta);
return respuesta;
}
function validacionSesiones(TipoServicio, IdServicio_X, tratamiento, TipoUsuario){
  var urlUsuario ="";
  if(TipoUsuario == 'franquiciatario'){
    urlUsuario = "/SM/expediente/franquiciatario/ExpedienteF/validarSesionesFacial/";
  }else{
    urlUsuario = "/SM/expediente/cosmetologo/ExpedienteC/validarSesionesFacial/";
  }

  var respuesta = "";
        $.ajax({
          
            type:'POST',
            url: urlUsuario,
            async : false,          
            data:{IdServicio_X : IdServicio_X, TipoServicio : TipoServicio, tratamiento : tratamiento},
            success:function(response){
              respuesta = response;
              // console.log(respuesta);
            },//end success ajax response

        error:function(){
          console.log("error");
        },
        });//end ajax
        // console.log('xxx = ' + respuesta);
return respuesta;
}

var base_url = window.location.origin + '/' + window.location.pathname.split ('/') [1] + '/';

function verConsentimientoF(id, IdConsentimiento){
   $.ajax({
        url:base_url+"expediente/franquiciatario/ExpedienteF/verConsentimientoF/"+IdConsentimiento+"/"+id,
        type:"POST",
        dataType: 'json',
        success:function(data){
            var cadena = data.Ruta;
            var ext = cadena.substr(-4);
            //alert(cadena);
            
            document.getElementById("nameClient").innerHTML= '<h3><b>'+jQuery("#nombreCliente").val()+'</b></h3>';
            document.getElementById("tratamientoSer").innerHTML=data.TratamientoSeleccionado;
            if (ext == '.pdf' || ext == '.PDF') {
              document.getElementById("contExpediente").innerHTML='<embed src="'+base_url+data.Ruta+'" type="application/pdf" style="width:90%; height:600px" />';
            }else{
              document.getElementById("contExpediente").innerHTML='<div id="" class="scrollbar-tabla-respaldosImages">'+
               '<img id="" class="" name=""  src="'+base_url+data.Ruta+'" style="width:600px; height:750px">'+
               '</div>';
            }
          //alert(data);
          //document.getElementById("imgusuario").innerHTML='<img src="avatar/'+data.foto+'.'+data.extension+'" width=150 height=150/>';                  
        }
    });
}
/////////////////////////////funcion donde se crea el modal para visualizar la imagen de consentimiento*//////////////////////////////////////////
function modalVerImagen(respaldos, nomtratamiento, nombreCliente){
// console.log(respaldos);
var arreglo1= respaldos.split(';');
var arreglo2= arreglo1[0].split(':');
// console.log(arreglo2[1]);
  var fila ="";
  fila +='<form method="POST" id="modalVerImagen" action="">';
  fila += '<div class="modal fade" id="modal-imagenVerRespaldo" data-backdrop="static" data-keyboard="false">';
    fila += '<div class="modal-dialog modal-lg">';
      fila += '<div class="modal-content">';

        fila += '<div class="modal-header">';
          fila += '<button type="button" class="close" data-dismiss="modal" aria-label="Close">';
          fila += '<span aria-hidden="true">&times;</span></button>';
          fila += '<center><h3><b>'+nombreCliente+'</b></h3></center>';
        fila += '</div>';

          fila += '<div class="modal-body">';
            fila += ' <center>';
             fila += '<label class="label-buscar">'+nomtratamiento+'</label>';
            fila += '<br>';
            
            // 
            if(arreglo2[1] == 'application/pdf'){
              fila += '<embed id="embed" src="'+ respaldos+'"  style="width:90%; height:600px"></embed>';
            }else{
              // fila += '<div class="contenedor">';
              fila += '<div id="" class="scrollbar-tabla-respaldosImages">';
              fila += '<img id="" class="" name=""  src="'+respaldos+'" style="width:600px; height:750px">';
              fila += '</div>';

            }
            
            
            // fila += '<object data = "'+ respaldos +'" type = "application/pdf" style="width:100%; height:700px"> </object>';
            // fila += '<embed id="embed" src="'+link+'"  style="width:100%; height:700px"></embed>';
            // fila += '<iframe  id="embed" type="application/pdf" src="'+respaldos+'" style="width:100%; height:700px; border: none;"></iframe>';
            // fila += '<textarea name="base64" id="base64" style="display: ;">'+respaldos+'</textarea>';
            fila += '</center>';
          fila += '</div>';
          // fila += '<input type="text" id="IdCliente" value="'+id+'" style="display:none;">';
          // fila += '<input type="text" id="IdServicio_X" value="'+IdServicio_X+'" style="display:none;">';
          fila += '<div class="modal-footer">';
          fila += '<input type="button" id="modalCerrar" class="modalCerrar col-md-3 btn btn-danger pull-left" value="CERRAR">';
          fila += '</div> ';
      fila += '</div>';
    fila += '</div>';
  fila += '</div>';

$('#divModalImagen').html(fila);
// return fila;
// $('#divModalImagen').html(fila);
// procesarImagenModal()
}



/////////////////////////////funcion donde se crea el modal para agregar y mostrar la imagen de consentimiento*//////////////////////////////////////////
function modalImagen(IdServicio_X,id,TipoServicio,tratamiento, TipoUsuario, urlTratamiento){
  var xxxxx= TipoServicio;
  var arreglo = xxxxx.split("///");

  var fila ="";
  fila +='<form enctype="multipart/form-data" method="POST" id="modalImagen" action="'+urlTratamiento +'" onSubmit="return false">';
  fila += '<div class="modal fade" id="modal-imagenRespaldo" data-backdrop="static" data-keyboard="false">';
    fila += '<div class="modal-dialog modal-lg">';
      fila += '<div class="modal-content">';

        fila += '<div class="modal-header">';
          fila += '<button type="button" class="close" data-dismiss="modal" aria-label="Close">';
          fila += '<span aria-hidden="true">&times;</span></button>';
          fila += '<center><label style="font-size:18px">CONSENTIMIENTO '+arreglo[1]+'</label></center>';
        fila += '</div>';

          fila += '<div class="modal-body">';
            fila += ' <center>';
            fila += '<label style="font-size:16px">Cargar PDF o imagen: </label>';
            fila += '<br>';
            fila += '<br>';
            fila += '<input id="file" name="file" type="file" accept="image/png, .jpeg, .jpg, image/gif, application/pdf"/>';
            
            // fila += '<iframe  id="embed" src="" frameborder="0" scrolling="no" width="100%" style="border: none;"></iframe>';
            fila += '<hr>';

            fila += '<div class="loader div-centrado" id="loader" style="display:none;"> </div>';
            fila += '<div id="esperar" style="display:none;">';
            fila += 'Por favor espere...';
            fila += 'Cargando archivo';
            fila += '</div>';

            fila += '<div id="preview"></div>';
            fila += '<div id="divEmbed">';
            fila += '<embed id="embed" name="embed" src="" type="application/pdf" ></embed>';
            fila += '<textarea name="base64Consentimiento" id="base64Consentimiento" style="display: none;"></textarea>';
            fila += '</div>';
            // fila += '<img id="fotoConsentimiento" class="borderImage" name="fotoConsentimiento"  src="">';
          
            fila += '</center>';
          fila += '</div>';
          fila += '<input type="text" id="idCliente" name="idCliente" value="'+id+'" style="display:none;">';
          fila += '<input type="text" id="tratamiento" name="tratamiento" value="'+tratamiento+'" style="display:none;">';
          fila += '<input type="text" id="IdServicio" name="IdServicio" value="'+IdServicio_X+'" style="display:none;">';
          fila += '<input type="text" id="tipoVenta" name="tipoVenta" value="'+arreglo[0]+'" style="display:none;">';
          fila += '<input type="text" id="nomServicio" name="nomServicio" value="'+arreglo[1]+'" style="display:none;">';
          fila += '<input type="text" id="TipoUsuario" name="TipoUsuario" value="'+TipoUsuario+'" style="display:none;">';
          fila += '<div class="modal-footer">';
          fila += '<input type="button" id="modalCerrar" class="modalCerrar col-md-3 btn btn-danger pull-left" value="CERRAR">';
          fila += '<input type="submit" id="modalGuardar" name="modalGuardar" class="modalGuardar col-md-3 btn btn-primary pull-right" value="GUARDAR">';
          fila += '</div> ';
      fila += '</div>';
    fila += '</div>';
  fila += '</div>';


// return fila;
$('#divModalImagen').html(fila);
procesarImagenModal()


 $("#modalImagen").on('submit', function(e){
    e.preventDefault(); 

    var formData = new FormData(document.getElementById("modalImagen"));
    formData.append("dato", "valor");

  var base64=$("#base64Consentimiento").val();
  var datos = $(this).serialize();
  // console.log('datos = ' + datos);

if(base64 != ''){
        document.getElementById('loader').style.display="";
        document.getElementById('modalCerrar').style.display="none";
        document.getElementById('esperar').style.display="";


            $.ajax({
              url: $(this).attr('action'),
              type: 'POST',
              dataType: "html",
              data: formData,
              cache: false,
              contentType: false,
              processData: false,

              success:function(response){
                console.log('respuesta = ' + response);
                if(response == '1'){
                  swal("Consentimiento guardado correctamente","","success")
                  .then((value) =>{
                    $('#modal-imagenRespaldo').modal('hide');
                    listadoConsentimiento()
                  });
                  
                }else if(response == 'ya existe'){
              swal("El consentimiento ya está registrado", "", "warning")
              .then((value) => {
                $('#modal-imagenRespaldo').modal('hide');
                    listadoConsentimiento()
                });
            }else{
                  swal("No fue guardado el documento PDF","","warning")
                  .then((value) =>{
                    $('#modal-imagenRespaldo').modal('hide');
                    listadoConsentimiento()
                  });
                }
                
              },error:function(){
                console.log("error");
                document.getElementById('loader').style.display="none";
                document.getElementById('modalCerrar').style.display="";
                document.getElementById('esperar').style.display="none";

                swal("No fue guardado el documento PDF","El documento es muy grande","warning")
                .then((value) =>{
                      document.getElementById("file").value = "";
                      $('#embed').attr('src',""); 
                      $('#embed').attr('value',""); 
                      $('#embed').attr('height',"100px");
                      document.getElementById('base64Consentimiento').value = "";
                    // $('#modal-imagenRespaldo').modal('hide');
                  });
              },
            });

  }else{
swal('No has elegido ningún archivo','','warning')
  }

          });


}

/////////////////////////////////////// funcion donde se obtiene la imagen o PDF de respaldo de un consentimiento y se muestra en el modal///////////////////////////////////// 
function procesarImagenModal(){
              document.getElementById("file").onchange = function(e) {

              var archivo = this.files.length;
              // console.log('nombreArchivo = ' + archivo);

      if(archivo != 0){

              var nombreArchivo = this.files[0].name;
              

              var arreglo = nombreArchivo.split('.');
              var extension = arreglo[1];
              // Creamos el objeto de la clase FileReader  this[0].files[0].fileSize
                  pdffile=document.getElementById("file").files[0]; 
                  pdffile_url=URL.createObjectURL(pdffile); 
                  // console.log(pdffile);
                  let reader = new FileReader();
                  // Leemos el archivo subido y se lo pasamos a nuestro fileReader
                  reader.readAsDataURL(e.target.files[0]);

              if(extension == 'pdf'){
                  // Le decimos que cuando este listo ejecute el código interno
                  reader.onload = function(){
                    let preview = document.getElementById('preview'),
                        image = document.getElementById('fotoConsentimiento'),
                        embed = document.getElementById('embed');
                    
                    $('#embed').attr('src',pdffile_url+"#toolbar=0"); 
                    // $('#embed').attr('value',pdffile_url); 
                    $('#embed').attr('height',"500px"); 
                    $('#embed').attr('width',"100%"); 
                    document.getElementById('base64Consentimiento').value = reader.result;
                    // document.getElementById('base64Consentimiento').value = "1";
                    };

              }else{
                var fileSize = this.files[0].size/1024/1024;

                  if(fileSize > 2) { // 2M
                      swal({
                        title:"¡Archivo demasiado grande, tamaño permitido de 2 MB!",
                        icon: "warning",
                        button: "Aceptar",
                      })
                      .then((value) => {
                        document.getElementById("file").value = "";
                      $('#embed').attr('src',""); 
                      $('#embed').attr('value',""); 
                      $('#embed').attr('height',"100px"); 
                      // $('#divEmbed').empty(); 
                      document.getElementById('base64Consentimiento').value = "";
                      });
                      
                    }else{
                      $('#embed').attr('src',pdffile_url+"#toolbar=0");
                      $('#embed').attr('height',"500px"); 
                      $('#embed').attr('width',"100%"); 
                      document.getElementById('base64Consentimiento').value = "1";

                  }

              }
        }else{
          document.getElementById("file").value = "";
            $('#embed').attr('src',""); 
            $('#embed').attr('value',""); 
            $('#embed').attr('height',"100px"); 
            document.getElementById('base64Consentimiento').value = "";
        }     
    }
}
////////////////////////////////////////////////Funcion que busca el pdf del respaldo del consentimiento //////////////////////////////////////////////////////
// function buscarRespaldos(IdServicio_X, id, tipoVenta, tratamiento){
//   var respues="";
// // console.log(tratamiento);
//   $.ajax({
//     async : false,
//     url : "/SM/expediente/franquiciatario/ExpedienteF/buscarRespaldosConsentimiento/"+id,
//     type : "POST",
//     data : {
//       IdServicio_X : IdServicio_X, id : id, tipoVenta : tipoVenta, tratamiento : tratamiento
//     }, success:function(response){
//       // console.log("response Respaldos = " + response);
//       respues = response;
//     },
//     error:function(){
//       console.log('error::');
//     },

//   });
//   return respues;
// }
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function consultarFirmaPrincipal(idC, categoria, tipoUsuario){
var retornar ="";
var urlConsult ="";
if(tipoUsuario == 'franquiciatario'){
  urlConsult = "/SM/expediente/franquiciatario/ExpedienteF/consultarFirmaPrincipal";
}else{
  urlConsult ="/SM/expediente/cosmetologo/ExpedienteC/consultarFirmaPrincipal";
}
  $.ajax({
        url:urlConsult,
        type:"POST",
        async: false,  
        data:{
          idC:idC, categoria:categoria,
        },
        success:function(response){
          console.log("response = " + response);
          retornar = response;
        },
        error:function(){

        },
  });
return retornar;
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

window.addEventListener( 'load', function( event )
 {  
$('#clienteContestar').click(function(){
 var tipoUsuario = $('#tipoUsuario').val();

 var idCliente = $('#txt_idcliente').val();
 // console.log(idCliente);
 // console.log(tipoUsuario);
 if(tipoUsuario == 'franquiciatario'){
  location.href="/SM/expediente/franquiciatario/ExpedienteF/contestarExpedienteCliente/"+idCliente
 }
  else{
    location.href="/SM/expediente/cosmetologo/ExpedienteC/contestarExpedienteCliente/"+idCliente
  }
});


//////////////////////////////////////////////////////////////////////////////////

$(document).on('click', '.modalCerrar', function() { 
          $('#modal-imagenRespaldo').modal('hide');
          $('#modal-imagenVerRespaldo').modal('hide');
          $('#verConsentimientoF').modal('hide');
          });



//Condiciones para habilitar y desabilitar inputs en las vistas de llenado de expediente

if($('input[name="SupervisionMedica[]"]:checked').length > 0){
  $('#especificacionMedica').attr('disabled',false);
  $("#especificacionMedica").attr("required",true);

}else{
  $('#especificacionMedica').attr('disabled',true);
  $("#especificacionMedica").attr("required",false);
}



if($('input[name="enfermedades[]"]:checked').length >0){
if($('input[id="OtrasEnfermedades"]:checked').length >0){
  $('#CualesOtrasEnfermedades').attr('disabled',false);
  $("#CualesOtrasEnfermedades").attr("required",true);

  $('#ComentariosEnfermedades').attr('disabled',false);
  $("#ComentariosEnfermedades").attr("required",true);

}else{
  $('#CualesOtrasEnfermedades').attr('disabled',true);
  $("#CualesOtrasEnfermedades").attr("required",false);

  $('#ComentariosEnfermedades').attr('disabled',false);
  $("#ComentariosEnfermedades").attr("required",true);

  
}
}else{

  if($('input[id="OtrasEnfermedades"]:checked').length >0){
  $('#CualesOtrasEnfermedades').attr('disabled',false);
  $("#CualesOtrasEnfermedades").attr("required",true);

  $('#ComentariosEnfermedades').attr('disabled',false);
  $("#ComentariosEnfermedades").attr("required",true);

}else{
  $('#CualesOtrasEnfermedades').attr('disabled',true);
  $("#CualesOtrasEnfermedades").attr("required",false);

  $('#ComentariosEnfermedades').attr('disabled',true);
  $("#ComentariosEnfermedades").attr("required",false);

  
}
}

if($('input[name="TieneTatuajes"]:checked').val() == '1'){
  $('#zonaTatuaje').attr('disabled',false);
  $("#zonaTatuaje").attr("required",true);
}else{
  $('#zonaTatuaje').attr('disabled',true);
  $("#zonaTatuaje").attr("required",false);
}

if($('input[name="RealizaActividadFisica"]:checked').val() == '1'){
  $('#QueActividadFisica').attr('disabled',false);
  $("#QueActividadFisica").attr("required",true);
  $('#CadaCuantoActividadFisica').attr('disabled',false);
  $("#CadaCuantoActividadFisica").attr("required",true);

}else{
  $('#QueActividadFisica').attr('disabled',true);
  $("#QueActividadFisica").attr("required",false);
  $('#CadaCuantoActividadFisica').attr('disabled',true);
  $("#CadaCuantoActividadFisica").attr("required",false);
}


if($('input[name="medicamentosUltimosMeses[]"]:checked').length >0 || $('#sistemico').val() != null || $('#anticancerosos').val() != null || $('#antidepresivos').val() != null || 
  $('#antihistaminicos').val() != null || $('#anti_inflamatorios').val() != null || $('#antituberculosos').val() != null || $('#antibioticos').val() != null || $('#antimalaricos').val() != null || 
  $('#antipsicoticos').val() != null || $('#asiendad').val() != null || $('#antiarritmicos').val() != null || $('#psicomotores').val() != null || $('#diureticos').val() != null || 
  $('#edulcorantes').val() != null ||  $('#hipoglucemiantes').val() != null ||  $('#laxantes').val() != null ||  $('#psoralenos').val() != null ||  $('#tetraciclinas').val() != null){

  if($('input[id="OtrosMedicamentos"]:checked').length >0){
                      $('#CualesOtrosMedicamentos').attr('disabled',false);
                      $("#CualesOtrosMedicamentos").attr("required",true);

                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                    }else{
                      $('#CualesOtrosMedicamentos').attr('disabled',true);
                      $("#CualesOtrosMedicamentos").attr("required",false);
                      
                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                    }
}else{
              if($('input[id="OtrosMedicamentos"]:checked').length >0){
                      $('#CualesOtrosMedicamentos').attr('disabled',false);
                      $("#CualesOtrosMedicamentos").attr("required",true);

                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                    }else{
                      $('#CualesOtrosMedicamentos').attr('disabled',true);
                      $("#CualesOtrosMedicamentos").attr("required",false);
                      
                      $('#ComentariosMedicamentos').attr('disabled',true);
                      $("#ComentariosMedicamentos").attr("required",false);
                    }
}


$('input[name="SupervisionMedica[]"]').on('change', function(){
  if ($('input[name="SupervisionMedica[]"]:checked').length >0) {
                $("#especificacionMedica").attr("disabled",false);
                $("#especificacionMedica").attr("required",true);
                // console.log('disabled false');
             } else {
                $("#especificacionMedica").attr("disabled",true);
                $("#especificacionMedica").attr("required",false);
                // console.log('disabled true');
            }
});

$('input[name="enfermedades[]"]').on('change', function(){
  if ($('input[name="enfermedades[]"]:checked').length >0) {
                if($('input[id="OtrasEnfermedades"]:checked').length >0){
                      $('#CualesOtrasEnfermedades').attr('disabled',false);
                      $("#CualesOtrasEnfermedades").attr("required",true);

                      $('#ComentariosEnfermedades').attr('disabled',false);
                      $("#ComentariosEnfermedades").attr("required",true);

                    }else{
                      $('#CualesOtrasEnfermedades').attr('disabled',true);
                      $("#CualesOtrasEnfermedades").attr("required",false);
                      
                      $('#ComentariosEnfermedades').attr('disabled',false);
                      $("#ComentariosEnfermedades").attr("required",true);
                    }
             } else {
              if($('input[id="OtrasEnfermedades"]:checked').length >0){
                      $('#CualesOtrasEnfermedades').attr('disabled',false);
                      $("#CualesOtrasEnfermedades").attr("required",true);

                      $('#ComentariosEnfermedades').attr('disabled',false);
                      $("#ComentariosEnfermedades").attr("required",true);

                    }else{
                      $('#CualesOtrasEnfermedades').attr('disabled',true);
                      $("#CualesOtrasEnfermedades").attr("required",false);
                      
                      $('#ComentariosEnfermedades').attr('disabled',true);
                      $("#ComentariosEnfermedades").attr("required",false);
                    }

            }
});

$('input[name="OtrasEnfermedades"]').on('change', function(){
  if ($('input[name="enfermedades[]"]:checked').length >0) {
                if($('input[id="OtrasEnfermedades"]:checked').length >0){
                      $('#CualesOtrasEnfermedades').attr('disabled',false);
                      $("#CualesOtrasEnfermedades").attr("required",true);

                      $('#ComentariosEnfermedades').attr('disabled',false);
                      $("#ComentariosEnfermedades").attr("required",true);

                    }else{
                      $('#CualesOtrasEnfermedades').attr('disabled',true);
                      $("#CualesOtrasEnfermedades").attr("required",false);
                      
                      $('#ComentariosEnfermedades').attr('disabled',false);
                      $("#ComentariosEnfermedades").attr("required",true);
                    }
             } else {
              if($('input[id="OtrasEnfermedades"]:checked').length >0){
                      $('#CualesOtrasEnfermedades').attr('disabled',false);
                      $("#CualesOtrasEnfermedades").attr("required",true);

                      $('#ComentariosEnfermedades').attr('disabled',false);
                      $("#ComentariosEnfermedades").attr("required",true);

                    }else{
                      $('#CualesOtrasEnfermedades').attr('disabled',true);
                      $("#CualesOtrasEnfermedades").attr("required",false);
                      
                      $('#ComentariosEnfermedades').attr('disabled',true);
                      $("#ComentariosEnfermedades").attr("required",false);
                    }

            }
});

$('input[name="medicamentosUltimosMeses[]"]').on('change', function(){
  if ($('input[name="medicamentosUltimosMeses[]"]:checked').length >0 || $('#sistemico').val() != null || $('#anticancerosos').val() != null || $('#antidepresivos').val() != null || 
  $('#antihistaminicos').val() != null || $('#anti_inflamatorios').val() != null || $('#antituberculosos').val() != null || $('#antibioticos').val() != null || $('#antimalaricos').val() != null || 
  $('#antipsicoticos').val() != null || $('#asiendad').val() != null || $('#antiarritmicos').val() != null || $('#psicomotores').val() != null || $('#diureticos').val() != null || 
  $('#edulcorantes').val() != null ||  $('#hipoglucemiantes').val() != null ||  $('#laxantes').val() != null ||  $('#psoralenos').val() != null ||  $('#tetraciclinas').val() != null) {

                if($('input[id="OtrosMedicamentos"]:checked').length >0){
                      $('#CualesOtrosMedicamentos').attr('disabled',false);
                      $("#CualesOtrosMedicamentos").attr("required",true);

                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                    }else{
                      $('#CualesOtrosMedicamentos').attr('disabled',true);
                      $("#CualesOtrosMedicamentos").attr("required",false);
                      
                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                    }
             } else {
                if($('input[id="OtrosMedicamentos"]:checked').length >0){
                      $('#CualesOtrosMedicamentos').attr('disabled',false);
                      $("#CualesOtrosMedicamentos").attr("required",true);

                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                    }else{
                      $('#CualesOtrosMedicamentos').attr('disabled',true);
                      $("#CualesOtrosMedicamentos").attr("required",false);
                      
                      $('#ComentariosMedicamentos').attr('disabled',true);
                      $("#ComentariosMedicamentos").attr("required",false);
                    }
            }
});

$('select[multiple="multiple"]').on('change', function(){
  if ($('input[name="medicamentosUltimosMeses[]"]:checked').length >0 || $('#sistemico').val() != null || $('#anticancerosos').val() != null || $('#antidepresivos').val() != null || 
  $('#antihistaminicos').val() != null || $('#anti_inflamatorios').val() != null || $('#antituberculosos').val() != null || $('#antibioticos').val() != null || $('#antimalaricos').val() != null || 
  $('#antipsicoticos').val() != null || $('#asiendad').val() != null || $('#antiarritmicos').val() != null || $('#psicomotores').val() != null || $('#diureticos').val() != null || 
  $('#edulcorantes').val() != null ||  $('#hipoglucemiantes').val() != null ||  $('#laxantes').val() != null ||  $('#psoralenos').val() != null ||  $('#tetraciclinas').val() != null) {

                if($('input[id="OtrosMedicamentos"]:checked').length >0){
                      $('#CualesOtrosMedicamentos').attr('disabled',false);
                      $("#CualesOtrosMedicamentos").attr("required",true);

                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                    }else{
                      $('#CualesOtrosMedicamentos').attr('disabled',true);
                      $("#CualesOtrosMedicamentos").attr("required",false);
                      
                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                    }
             } else {
                if($('input[id="OtrosMedicamentos"]:checked').length >0){
                      $('#CualesOtrosMedicamentos').attr('disabled',false);
                      $("#CualesOtrosMedicamentos").attr("required",true);

                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                    }else{
                      $('#CualesOtrosMedicamentos').attr('disabled',true);
                      $("#CualesOtrosMedicamentos").attr("required",false);
                      
                      $('#ComentariosMedicamentos').attr('disabled',true);
                      $("#ComentariosMedicamentos").attr("required",false);
                    }
            }
});


$('input[name="OtrosMedicamentos"]').on('change', function(){
  if ($('input[name="medicamentosUltimosMeses[]"]:checked').length >0 || $('#sistemico').val() != null || $('#anticancerosos').val() != null || $('#antidepresivos').val() != null || 
  $('#antihistaminicos').val() != null || $('#anti_inflamatorios').val() != null || $('#antituberculosos').val() != null || $('#antibioticos').val() != null || $('#antimalaricos').val() != null || 
  $('#antipsicoticos').val() != null || $('#asiendad').val() != null || $('#antiarritmicos').val() != null || $('#psicomotores').val() != null || $('#diureticos').val() != null || 
  $('#edulcorantes').val() != null ||  $('#hipoglucemiantes').val() != null ||  $('#laxantes').val() != null ||  $('#psoralenos').val() != null ||  $('#tetraciclinas').val() != null) {

                if($('input[id="OtrosMedicamentos"]:checked').length >0){
                      $('#CualesOtrosMedicamentos').attr('disabled',false);
                      $("#CualesOtrosMedicamentos").attr("required",true);

                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                      // console.log("if 1");
                    }else{
                      $('#CualesOtrosMedicamentos').attr('disabled',true);
                      $("#CualesOtrosMedicamentos").attr("required",false);
                      
                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                      // console.log("else 1");
                    }
             } else {
               if($('input[id="OtrosMedicamentos"]:checked').length >0){
                      $('#CualesOtrosMedicamentos').attr('disabled',false);
                      $("#CualesOtrosMedicamentos").attr("required",true);

                      $('#ComentariosMedicamentos').attr('disabled',false);
                      $("#ComentariosMedicamentos").attr("required",true);
                      // console.log("if 2");
                    }else{
                      $('#CualesOtrosMedicamentos').attr('disabled',true);
                      $("#CualesOtrosMedicamentos").attr("required",false);
                      
                      $('#ComentariosMedicamentos').attr('disabled',true);
                      $("#ComentariosMedicamentos").attr("required",false);
                      // console.log("else 2");
                    }
            }
});

});

